0.9.8: GLM_GTX_bit

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_bit
GTX Extensions (Experimental)

## Functions
template<typename genIUType >
GLM_FUNC_DECL genIUType | highestBitValue (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | highestBitValue (vecType< T, P > const &value)
template<typename genIUType >
GLM_FUNC_DECL genIUType | lowestBitValue (genIUType Value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoAbove (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoAbove (vecType< T, P > const &value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoBelow (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoBelow (vecType< T, P > const &value)
template<typename genIUType >
GLM_DEPRECATED GLM_FUNC_DECL genIUType | powerOfTwoNearest (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | powerOfTwoNearest (vecType< T, P > const &value)

## Detailed Description

Allow to perform bit operations on integer values.

<glm/gtx/bit.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genIUType glm::highestBitValue | ( | genIUType | Value | ) |

See also
  GLM_GTX_bit

GLM_FUNC_DECL vecType<T, P> glm::highestBitValue | ( | vecType< T, P > const & | value | ) |

Find the highest bit set to 1 in a integer variable and return its value.

See also
  GLM_GTX_bit

GLM_FUNC_DECL genIUType glm::lowestBitValue | ( | genIUType | Value | ) |

See also
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL genIUType glm::powerOfTwoAbove | ( | genIUType | Value | ) |

Return the power of two number which value is just higher the input value.

Deprecated, use ceilPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL vecType<T, P> glm::powerOfTwoAbove | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is just higher the input value.

Deprecated, use ceilPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL genIUType glm::powerOfTwoBelow | ( | genIUType | Value | ) |

Return the power of two number which value is just lower the input value.

Deprecated, use floorPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL vecType<T, P> glm::powerOfTwoBelow | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is just lower the input value.

Deprecated, use floorPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL genIUType glm::powerOfTwoNearest | ( | genIUType | Value | ) |

Return the power of two number which value is the closet to the input value.

Deprecated, use roundPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit

GLM_DEPRECATED GLM_FUNC_DECL vecType<T, P> glm::powerOfTwoNearest | ( | vecType< T, P > const & | value | ) |

Return the power of two number which value is the closet to the input value.

Deprecated, use roundPowerOfTwo from GTC_round instead

See also
  GLM_GTC_round
  GLM_GTX_bit